/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.abien.mdb;

import java.util.logging.Level;
import java.util.logging.Logger;
import javax.ejb.ActivationConfigProperty;
import javax.ejb.EJB;
import javax.ejb.MessageDriven;
import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.TextMessage;

/**
 *
 * @author http://blog.adam-bien.com
 */
@MessageDriven(mappedName = "jms/testQueue", activationConfig =  {
        @ActivationConfigProperty(propertyName = "acknowledgeMode", propertyValue = "Auto-acknowledge"),
        @ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Queue")
    })
public class TextMessageListener implements MessageListener{

    @EJB
    MessageReceiver receiver;

    public void onMessage(Message message) {
        TextMessage textMessage = (TextMessage) message;
        try {
            receiver.receive(textMessage.getText());
        } catch (JMSException ex) {
            Logger.getLogger(TextMessageListener.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
    
}
